
Core - Bug # 25332

Status: Closed Priority: Should have
Author: Xavier Perseguers Category:
Created: 2011-03-16 Assigned To: Jigal van Hemert
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.5
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: Remove safe_mode support
Description

PHP safe_mode is deprecated and code that test it should be removed.

(issue imported from #M17959)

Related issues:
related to Core - Task # 24954: The Big Cleanup 4.6 Closed 2011-04-25
related to Core - Bug # 26228: Remove obsolete safe_mode hacks from t3lib_div Closed 2011-04-24
related to Core - Task # 27408: htmlArea RTE: Remove references to safe mode Closed 2011-06-13

Associated revisions
Revision 51cc0356 - 2011-04-17 15:40 - Jigal van Hemert

[TASK][!!!] Remove support for safe_mode

Change-Id: Iae45d949855ceec1e9dc9bf6e27d4885749375d5
Resolves: #25332
Reviewed-on: http://review.typo3.org/1447
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog

History
#1 - 2011-04-03 09:32 - Jigal van Hemert
Only parts that will be left after this change are:
    -  t3lib_utility_PhpOptions - this contains a function to test for safe_mode
    -  tx_em_Parser_XmlAbstractParser::isAvailable() - this function needs to be looked at because of deprecation of the dynamic loading functionality in
PHP; I asked Steffen K. for his opinion
    -  install tool; this is refactored in a separate subproject
    -  reports module; it's useful to test here to report problems when safe_mode is enabled
    -  RTE HTMLarea; it's a separate subproject; asked Stan to take care

#2 - 2011-04-03 09:43 - Mr. Hudson

Patch set 1 of change Iae45d949855ceec1e9dc9bf6e27d4885749375d5 has been pushed to the review server.
It is available at http://review.typo3.org/1447
#3 - 2011-04-03 18:01 - Helmut Hummel
- Subject changed from Remove safe_mode to Remove safe_mode support

#4 - 2011-04-17 15:32 - Mr. Hudson

Patch set 2 of change Iae45d949855ceec1e9dc9bf6e27d4885749375d5 has been pushed to the review server.
It is available at http://review.typo3.org/1447

#5 - 2011-04-17 16:00 - Jigal van Hemert
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:51cc03566f5f83246697d712cdc58cf3f5657e96.

#6 - 2012-03-07 13:31 - Xavier Perseguers
- Status changed from Resolved to Closed

#7 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1081)
